import "./src/utils/compression-polyfill";
import path from "node:path";
import { defineConfig } from "drizzle-kit";
import { getDataDirectory } from "@/utils/directories";
export default defineConfig({
	schema: "./src/db/schema/index.ts",
	out: "./src/db/migrations",
	dialect: "sqlite",
	dbCredentials: {
		url: path.join(
			getDataDirectory(),
			process.env.DATABASE_FILENAME ?? "database.db",
		),
	},
});
